'use strict';

var _chai = require('chai');

var _ActionTypes = require('../constants/ActionTypes');

var ActionTypes = _interopRequireWildcard(_ActionTypes);

var _actions = require('actions');

var actions = _interopRequireWildcard(_actions);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

describe('Actions', function () {
  var assertType = function assertType(result, type) {
    return (0, _chai.expect)(result).to.have.property('type', type);
  };

  describe('fetchNotifications', function () {
    it('returns the FETCH_NOTIFICATIONS action', function () {
      var result = actions.fetchNotifications();

      assertType(result, ActionTypes.FETCH_NOTIFICATIONS);
    });
  });

  describe('fetchNotificationsRequested', function () {
    it('returns the FETCH_NOTIFICATIONS_REQUESTED action', function () {
      var result = actions.fetchNotificationsRequested();

      assertType(result, ActionTypes.FETCH_NOTIFICATIONS_REQUESTED);
    });
  });

  describe('fetchNotificationsSuccess', function () {
    it('returns the FETCH_NOTIFICATIONS_SUCCESS action', function () {
      var result = actions.fetchNotificationsSuccess();

      assertType(result, ActionTypes.FETCH_NOTIFICATIONS_SUCCESS);
    });
  });

  describe('fetchNotificationsFailure', function () {
    it('returns the FETCH_NOTIFICATIONS_FAILURE action', function () {
      var result = actions.fetchNotificationsFailure();

      assertType(result, ActionTypes.FETCH_NOTIFICATIONS_FAILURE);
    });
  });

  describe('toggleMenu', function () {
    it('returns the TOGGLE_MENU action', function () {
      var result = actions.toggleMenu();

      assertType(result, ActionTypes.TOGGLE_MENU);
    });
  });

  describe('hideMenu', function () {
    it('returns the HIDE_MENU action', function () {
      var result = actions.hideMenu();

      assertType(result, ActionTypes.HIDE_MENU);
    });
  });

  describe('showMenu', function () {
    it('returns the SHOW_MENU action', function () {
      var result = actions.showMenu();

      assertType(result, ActionTypes.SHOW_MENU);
    });
  });
});