'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

require('./NotificationItem.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationItem = function NotificationItem(_ref) {
  var id = _ref.id;
  var authorAvatar = _ref.authorAvatar;
  var authorName = _ref.authorName;
  var text = _ref.text;
  var sentAt = _ref.sentAt;
  return _react2['default'].createElement(
    'a',
    { className: 'notification-item', href: '/probes/' + String(id), 'data-role': 'link' },
    _react2['default'].createElement(
      'div',
      { className: 'notification-item__avatar' },
      _react2['default'].createElement('img', {
        className: 'notification-avatar',
        'data-role': 'author-avatar',
        src: authorAvatar
      })
    ),
    _react2['default'].createElement(
      'div',
      { className: 'notification-item__info' },
      _react2['default'].createElement(
        'span',
        { className: 'notification-item__nickname', 'data-role': 'author-nickname' },
        authorName,
        ' asked you a question'
      ),
      _react2['default'].createElement(
        'span',
        { className: 'notification-item__text', 'data-role': 'notification-item-text' },
        text
      ),
      _react2['default'].createElement(
        'span',
        { className: 'notification-item__datetime', 'data-role': 'notification-item-datetime' },
        (0, _moment2['default'])(sentAt).fromNow()
      )
    )
  );
};

NotificationItem.propTypes = {
  authorName: _react.PropTypes.string.isRequired,
  authorAvatar: _react.PropTypes.string.isRequired,
  text: _react.PropTypes.string.isRequired,
  id: _react.PropTypes.number.isRequired,
  sentAt: _react.PropTypes.string.isRequired
};

exports['default'] = NotificationItem;