'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _chai = require('chai');

var _chai2 = _interopRequireDefault(_chai);

var _chaiEnzyme = require('chai-enzyme');

var _chaiEnzyme2 = _interopRequireDefault(_chaiEnzyme);

var _enzyme = require('enzyme');

var _NotificationsBell = require('./NotificationsBell');

var _NotificationsBell2 = _interopRequireDefault(_NotificationsBell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

_chai2['default'].use((0, _chaiEnzyme2['default'])());

describe('NotificationsBell', function () {
  var createComponent = function createComponent() {
    var _ref = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

    var _ref$hasNotifications = _ref.hasNotifications;
    var hasNotifications = _ref$hasNotifications === undefined ? true : _ref$hasNotifications;
    return _react2['default'].createElement(_NotificationsBell2['default'], { hasNotifications: hasNotifications });
  };

  it('renders an NotificationsBell Icon', function () {
    var wrapper = (0, _enzyme.shallow)(createComponent({ hasNotifications: true }));

    var bellIcon = wrapper.find('[data-role="icon"]');
    (0, _chai.expect)(bellIcon).to.be.present();
  });

  context('When it has some notifications', function () {
    it('shows a notifications indicator badge', function () {
      var wrapper = (0, _enzyme.shallow)(createComponent({ hasNotifications: true }));

      var indicator = wrapper.find('[data-role="badge"]');
      (0, _chai.expect)(indicator).to.be.present();
    });
  });

  context('When there are no notifications', function () {
    it('does not show a notifications indicator badge', function () {
      var wrapper = (0, _enzyme.shallow)(createComponent({ hasNotifications: false }));

      var indicator = wrapper.find('[data-role="badge"]');
      (0, _chai.expect)(indicator).not.to.be.present();
    });
  });
});