'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _chai = require('chai');

var _chai2 = _interopRequireDefault(_chai);

var _chaiEnzyme = require('chai-enzyme');

var _chaiEnzyme2 = _interopRequireDefault(_chaiEnzyme);

var _chaiSpies = require('chai-spies');

var _chaiSpies2 = _interopRequireDefault(_chaiSpies);

var _enzyme = require('enzyme');

var _NotificationsProvider = require('./NotificationsProvider');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

_chai2['default'].use((0, _chaiEnzyme2['default'])());
_chai2['default'].use(_chaiSpies2['default']);

describe('NotificationsProvider', function () {
  it('renders its children', function () {
    var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(
      _NotificationsProvider.NotificationsProvider,
      { closeMenu: function () {
          function closeMenu() {}

          return closeMenu;
        }() },
      _react2['default'].createElement(
        'div',
        { 'data-role': 'test-child' },
        'test'
      )
    ));

    var child = wrapper.find('[data-role="test-child"]');

    (0, _chai.expect)(child).to.be.present();
    (0, _chai.expect)(child).to.have.text('test');
  });

  context('It is clicked', function () {
    it('Calls the closeMenu function', function () {
      var closeMenuSpy = _chai2['default'].spy();
      var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(
        _NotificationsProvider.NotificationsProvider,
        { closeMenu: closeMenuSpy },
        _react2['default'].createElement(
          'div',
          { 'data-role': 'test-child' },
          'test'
        )
      ));

      wrapper.simulate('click');

      (0, _chai.expect)(closeMenuSpy).to.have.been.called();
    });
  });
});