'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _ActionTypes = require('../constants/ActionTypes');

var ActionTypes = _interopRequireWildcard(_ActionTypes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var INITIAL_STATE = {
  fetchStatus: 'dormant',
  authors: [],
  probes: []
};

exports['default'] = function () {
  var state = arguments.length <= 0 || arguments[0] === undefined ? INITIAL_STATE : arguments[0];
  var action = arguments[1];

  switch (action.type) {
    case ActionTypes.FETCH_NOTIFICATIONS_REQUESTED:
      return (0, _extends3['default'])({}, state, {
        fetchStatus: 'fetching'
      });
    case ActionTypes.FETCH_NOTIFICATIONS_FAILURE:
      return (0, _extends3['default'])({}, state, {
        fetchStatus: 'failed',
        error: action.payload.error
      });
    case ActionTypes.FETCH_NOTIFICATIONS_SUCCESS:
      return (0, _extends3['default'])({}, state, {
        fetchStatus: 'success',
        authors: action.payload.authors,
        probes: action.payload.probes
      });
    default:
      return state;
  }
};